#! /bin/bash

# workspace 
# nc_spm_08_grass7/PERMANENT
# uses cairo GRASS driver, see doc here: https://grass.osgeo.org/grass73/manuals/cairodriver.html

export GRASS_RENDER_IMMEDIATE=cairo

rm sample*.bmp

export GRASS_RENDER_WIDTH=3500
export GRASS_RENDER_HEIGHT=2470


MAXFRAME=0,2470,0,3500
MAPFRAME=200,2270,200,3300


export GRASS_RENDER_FILE_READ=TRUE
export GRASS_RENDER_TRANSPARENT=FALSE
export GRASS_RENDER_FILE_COMPRESSION=0
export GRASS_RENDER_FILE_MAPPED=TRUE
export GRASS_RENDER_BACKGROUNDCOLOR=FFFFFF

g.region region=rural_1m

#------------- TEST 0 ----------------------
#-------------------------------------------
# NOW RENDER TO WINDOWED PAGE WITHOUT MAP FRAME
#-------------------------------------------
#-------------------------------------------
#-------------------------------------------
#-------------------------------------------
#-------------------------------------------

export GRASS_RENDER_FILE=sample_mapwindow.bmp
export GRASS_RENDER_FRAME=$MAPFRAME

d.rast map=elevation
d.vect map=lakes
d.barscale at="41.5,8.2"


#------------- TEST 1 ----------------------
#-------------------------------------------
# NOW RENDER TO FULL PAGE WITHOUT MAP FRAME
#-------------------------------------------
#-------------------------------------------
#-------------------------------------------
#-------------------------------------------
#-------------------------------------------

export GRASS_RENDER_FILE=sample_fullpage.bmp
export GRASS_RENDER_FRAME=$MAXFRAME

d.rast map=elevation@PERMANENT
d.vect map=lakes
d.barscale at=41.5,8.2


echo READY.



